A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
atan/atan2
ArrayFire Functions | ArrayFire Functions by Category » Mathematical functions » Trigonometric functions

## Functions
array | atan (const array &in)
| C++ Interface to evaluate the inverse tangent function.
af_err | af_atan (af_array *out, const af_array in)
| C Interface to evaluate the inverse tangent function.
af_err | af_atan2 (af_array *out, const af_array lhs, const af_array rhs, const bool batch)
| C Interface to evaluate the inverse tangent of two arrays.
array | atan2 (const array &lhs, const array &rhs)
| C++ Interface to evaluate the inverse tangent of two arrays.
array | atan2 (const array &lhs, const double rhs)
| C++ Interface to evaluate the inverse tangent of two arrays.
array | atan2 (const double lhs, const array &rhs)
| C++ Interface to evaluate the inverse tangent of two arrays.

## Detailed Description

Evaluate the inverse tangent function (arc tangent).

## Function Documentation

## ◆ af_atan()

af_err af_atan | ( | af_array * | out,
|  | const af_array | in )

C Interface to evaluate the inverse tangent function.

Parameters

  [out] | out | inverse tangent
  [in] | in | input array

Returns
  AF_SUCCESS, if function returns successfully, else an af_err code is given

## ◆ af_atan2()

af_err af_atan2 | ( | af_array * | out,
|  | const af_array | lhs,
|  | const af_array | rhs,
|  | const bool | batch )

C Interface to evaluate the inverse tangent of two arrays.

Parameters

  [out] | out | inverse tangent of two arrays
  [in] | lhs | numerator
  [in] | rhs | denominator
  [in] | batch | batch mode

Returns
  AF_SUCCESS, if function returns successfully, else an af_err code is given

## ◆ atan()

array atan | ( | const array & | in | ) |

C++ Interface to evaluate the inverse tangent function.

Parameters

  [in] | in | input array

Returns
  inverse tangent

## ◆ atan2() [1/3]

array atan2 | ( | const array & | lhs,
|  | const array & | rhs )

C++ Interface to evaluate the inverse tangent of two arrays.

Parameters

  [in] | lhs | value of numerator
  [in] | rhs | value of denominator

Returns
  inverse tangent of the inputs

## ◆ atan2() [2/3]

array atan2 | ( | const array & | lhs,
|  | const double | rhs )

C++ Interface to evaluate the inverse tangent of two arrays.

Parameters

  [in] | lhs | value of numerator
  [in] | rhs | value of denominator

Returns
  inverse tangent of the inputs

## ◆ atan2() [3/3]

array atan2 | ( | const double | lhs,
|  | const array & | rhs )

C++ Interface to evaluate the inverse tangent of two arrays.

Parameters

  [in] | lhs | value of numerator
  [in] | rhs | value of denominator

Returns
  inverse tangent of the inputs